app.controller('mainCtrl',
	
function ($scope,$http,$cookies, $location,$timeout, utilsSvc, userService, UserManager) {


		if ($scope.isUserLoggedIn()) {
			UserManager.AppVariables().$promise.then(function(data){
				
				$scope.appVariables = data;
				
				if ($scope.appVariables.profiloLocale=='UO' || $scope.appVariables.profiloLocale=='UR') {
					if (!$scope.appVariables.abilitaBonifici) {
						$('#BONIFICI').css('display','none');
						$('#SBBONIFICI').css('display','none');
					}
					if (!$scope.appVariables.abilitaAEA) {
						$('#AEA').css('display','none');
						$('#SBAEA').css('display','none');
					}
					if (!$scope.appVariables.abilitaRID) {
						$('#RID').css('display','none');
						$('#SBRID').css('display','none');
					}
					$('#DistinteBanca').css('display','none');
					$('#SBDistinteBanca').css('display','none');
					$('#TabellaBanche').css('display','none');
					$('#SBTabellaBanche').css('display','none');
					$('#RemunerationSeda').css('display','none');
					$('#SBRemunerationSeda').css('display','none');
					
					if ($scope.appVariables.abilitaAEA ==false && $scope.appVariables.abilitaRID==false) {
						$('#AcquisizioneFlussiDispositivi').css('display','none');
						$('#SBAcquisizioneFlussiDispositivi').css('display','none');
					}
						
				}
				
				if ($scope.appVariables.profiloLocale=='UO' || $scope.appVariables.profiloLocale=='UR' || $scope.appVariables.profiloLocale=='VI' ) {
					if (!$scope.appVariables.abilitaAccessoAnagrafica){
						$('#AnagraficaOrdinanti').css('display','none');
						$('#SBAnagraficaOrdinanti').css('display','none');
					}
						
				}
				
				
				if ($scope.appVariables.profiloLocale=='DF')
					$location.path('/distinteBanca');
				
				
			});
		}


});